Jump to content
Guest EnvisionMan

How is the best way to import a survey into my drawing, but NOT import all the layers

Recommended Posts

Guest EnvisionMan

I have been designing for 18 years and am tired of wasting time when importing surveys into my drawings. I have my own layer system for my home plans, and only use about 20 layers total. I like my drawings clean and simple.

 

When a surveyor sends me the survey, their CAD file has about 50 layers, none of which I want or need. So what I have been doing for many years is spending about 30 minutes changing everything on the survey to layer 0 and then copy/pasting the survey into my drawing.

 

The problem is, some of the surveyor's stuff is in blocks, so I also have to explode the block in order to change all the elements to layer 0.

 

I would love to know if there is a simpler method to all this. I really don't like having 50+ layers in my drawings. I can consolidate everything on a survey into about 5 layers that I use (natural features, boundary and easement lines, buildings, flatwork, text, etc).

 

Thank you for your help.

Share this post


Link to post
Share on other sites
Pablo Ferral

Option #1

X-ref the survey in. In the layer manager, you can filter out the x-ref'd layers so you don't have to look at them.

When you are done, detach the X-ref and purge the excess layers.

 

Option #2

Plot the survey to. PDF

X-ref the .PDF in and trace over the top.

Share this post


Link to post
Share on other sites
Cad64

what I have been doing for many years is spending about 30 minutes changing everything on the survey to layer 0 and then copy/pasting the survey into my drawing.

 

Don't copy/paste the survey into your drawing. Xref the survey into your drawing.

 

I always rename the survey drawing by placing an "X" in front of the drawing name, such as X_Survey Drawing Name. That way, all the xref layers end up at the bottom of the list in the Layer Manager.

 

After you Xref the survey into your drawing, as Pablo said, open the Layer Manager and Freeze all the layers you don't want to see. You can also change the color of the survey layers in the Layer Manager.

Share this post


Link to post
Share on other sites
BlackBox

If you get surveys consistently with the same 50 layer system, consider the LAYTRANS Command.

 

Otherwise, you could simply use LAYMRG Command.

 

Cheers

Share this post


Link to post
Share on other sites
BIGAL

Like Blackbox use Layiso and pick the layers you want, use clipboard and CUT then in a 2nd dwg paste to original co-ords, its easy then to put on 1 layer.

 

try this also

;(defun c:normblocks (/ adoc) 
 (vl-load-com) 
(setq adoc (vla-get-activedocument (vlax-get-acad-object))) 
(vla-startundomark adoc) 
(vlax-for block (vla-get-blocks adoc) 
 (if *(not (wcmatch (strcase (vla-get-name block) t) "*_space*")) 
  (vlax-for *ent block 

(if *(/= (vla-get-layer ent ) "yoursurveylayer" ) 
(progn
(vla-put-layer ent "0")
(princ (vla-get-name block))
)
);_ end of if
 
*) ;_ end of vlax-for 
  ) ;_ end of if 
 ) ;_ end of vlax-for 
(vla-regen adoc acactiveviewport) 
(vla-endundomark adoc) 
(princ) 

Share this post


Link to post
Share on other sites
BlackBox

I generally prefer WBLOCK to Copy/Paste, YMMV.

 

Cheers

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...